Loading...
Searching...
No Matches
bsoncxx::v1::types::b_dbpointer Struct Reference

`#include <bsoncxx/v1/types/view.hpp>`

## Description

BSON type value "DBPointer".

Deprecated
  This BSON type is deprecated.

## Public Member Functions

| b_dbpointer ()=default
| Zero-initialize the represented value.
| b_dbpointer (v1::stdx::string_view collection, v1::oid value)
| Initialize with collection and value.

## Public Attributes

v1::stdx::string_view | collection
| The represented value's "$ref" (namespace) component.
v1::oid | value
| The represented value's "$id" (ObjectID) component.

## Static Public Attributes

static constexpr id | type_id = id::k_dbpointer
| The type represented by this BSON type value.

## Friends

bool | operator!= (b_dbpointer const &lhs, b_dbpointer const &rhs)
| Equivalent to !(lhs == rhs).
bool | operator== (b_dbpointer const &lhs, b_dbpointer const &rhs)
| Equivalent to lhs.collection == rhs.collection && lhs.value == rhs.value.

## Constructor & Destructor Documentation

## b_dbpointer() [1/2]

bsoncxx::v1::types::b_dbpointer::b_dbpointer | ( |  | ) |

default

Zero-initialize the represented value.

## b_dbpointer() [2/2]

bsoncxx::v1::types::b_dbpointer::b_dbpointer | ( | v1::stdx::string_view | collection,
|  | v1::oid | value )

inline

Initialize with collection and value.

## Friends And Related Symbol Documentation

## operator!=

bool operator!= | ( | b_dbpointer const & | lhs,
|  | b_dbpointer const & | rhs )

friend

Equivalent to !(lhs == rhs).

## operator==

bool operator== | ( | b_dbpointer const & | lhs,
|  | b_dbpointer const & | rhs )

friend

Equivalent to lhs.collection == rhs.collection && lhs.value == rhs.value.

## Member Data Documentation

## collection

v1::stdx::string_view bsoncxx::v1::types::b_dbpointer::collection

The represented value's "$ref" (namespace) component.

## type_id

id bsoncxx::v1::types::b_dbpointer::type_id = id::k_dbpointer

static constexpr

The type represented by this BSON type value.

## value

v1::oid bsoncxx::v1::types::b_dbpointer::value

The represented value's "$id" (ObjectID) component.

The documentation for this struct was generated from the following file:

- bsoncxx/v1/types/view.hpp